# Timeplus

A video walkthrough can be found below:

{% embed url="<https://youtu.be/NbgKjsUhVxc>" %}

Timeplus is a streaming-first data analytics platform based on the open-source project Proton that integrates with WarpStream to ingest data from your WarpStream topics. For more information on configuring Timeplus to consume data from WarpStream, please review the [Timeplus Proton integration documentation](https://docs.timeplus.com/tutorial-sql-connect-kafka#connect-warp).

You can connect Proton with a local deployment of WarpStream or WarpStream Serverless Cloud.

Example:

```
CREATE EXTERNAL STREAM ext_stream(raw string)
SETTINGS type='kafka',
         brokers='serverless.warpstream.com:9092',
         topic='topic',
         security_protocol='SASL_SSL',
         sasl_mechanism='PLAIN',
         username='..',
         password='..'
```

`sasl_mechanism` can be either `PLAIN` or `SCRAM-SHA-512`, but cannot be `SCRAM-SHA-256`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.warpstream.com/warpstream/reference/integrations/timeplus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
